Method: projects.locations.plugins.instances.patch

Updates a plugin instance in the API hub. The following fields in the pluginInstance can be updated currently:

  • display_name
  • [schedule_cron_expression][PluginInstance.actions.schedule_cron_expression]

The updateMask should be used to specify the fields being updated.

To update the authConfig and additionalConfig of the plugin instance, use the instances.applyConfig method.

HTTP request

PATCH https://apihub.googleapis.com/v1/{pluginInstance.name=projects/*/locations/*/plugins/*/instances/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
pluginInstance.name

string

Identifier. The unique name of the plugin instance resource. Format: projects/{project}/locations/{location}/plugins/{plugin}/instances/{instance}

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. The list of fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of PluginInstance.

Response body

If successful, the response body contains an instance of PluginInstance.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/apihub.readwrite
  • https://www.googleapis.com/auth/cloud-platform

IAM Permissions

Requires the following IAM permission on the name resource:

  • apihub.plugininstances.update

For more information, see the IAM documentation.